{% extends "base.html" %}
{% block title %} Articles {% endblock title %}
{% block content %}
    {% for article in object_list %}
        <div class="card"></div>
        <div class="card-header">
            <span class="font-weight-bold">
                {{ article.title }}
            </span>
        <span class="text-muted">
            by {{ article.auther }}  | {{ article.date }}
        </span>
        </div>
        <div class="card-body">
        <p>{{ article.body }}</p>
        <a href={% url "article_edit" article.pk %}>Edit</a>
        <a href={% url "article_delete" article.pk %}>Delete</a>
        </div>
        <div class="card-footer">
        {% for comment in article.comments.all %}
            <p>
            <span class="font-weight-bold">{{ comment.author }}</span>
            {{ comment }}
            </p>
        {% endfor %}
        </div>
        <br>
    {% endfor %}
{% endblock content %}